import request from '@/utils/request'

// 项目角色表列表
export function apiProjectroleLists(params: any) {
    return request.get({ url: '/project.project_role_set/lists', params })
}

// 添加项目角色
export function apiProjectroleAdd(params: any) {
    return request.post({ url: '/project.project_role_set/add', params })
}

// 编辑项目角色
export function apiProjectroleEdit(params: any) {
    return request.post({ url: '/project.project_role_set/edit', params })
}

// 删除项目角色
export function apiProjectroleDelete(params: any) {
    return request.post({ url: '/project.project_role_set/delete', params })
}

// 项目角色详情
export function apiProjectroleDetail(params: any) {
    return request.get({ url: '/project.project_role_set/detail', params })
}

//获取所有项目角色
export function getAllProjectRoles(params: any) {
    return request.post({ url: '/project.project_role_set/getAllProjectRoles', params })
}